ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/gvpe/configure
(Generate patch)

Comparing gvpe/configure (file contents):
Revision 1.23 by pcg, Wed Jul 7 00:28:19 2004 UTC vs.
Revision 1.30 by pcg, Mon Dec 5 12:58:05 2005 UTC

269PACKAGE_TARNAME= 269PACKAGE_TARNAME=
270PACKAGE_VERSION= 270PACKAGE_VERSION=
271PACKAGE_STRING= 271PACKAGE_STRING=
272PACKAGE_BUGREPORT= 272PACKAGE_BUGREPORT=
273 273
274ac_unique_file="src/vped.C" 274ac_unique_file="src/gvpe.C"
275# Factoring default headers for most tests. 275# Factoring default headers for most tests.
276ac_includes_default="\ 276ac_includes_default="\
277#include <stdio.h> 277#include <stdio.h>
278#if HAVE_SYS_TYPES_H 278#if HAVE_SYS_TYPES_H
279# include <sys/types.h> 279# include <sys/types.h>
868 --enable-dependency-tracking Do not reject slow dependency extractors 868 --enable-dependency-tracking Do not reject slow dependency extractors
869 --disable-rpath do not hardcode runtime library paths 869 --disable-rpath do not hardcode runtime library paths
870 --disable-nls do not use Native Language Support 870 --disable-nls do not use Native Language Support
871 --enable-iftype=TYPE/SUBTYPE 871 --enable-iftype=TYPE/SUBTYPE
872 Use kernel/net device interface TYPE/SUBTYPE. 872 Use kernel/net device interface TYPE/SUBTYPE.
873 Working combinations are: "native/linux" 873 Working combinations are (see doc/gvpe.osdep.5.pod):
874 "native/linux" "tincd/linux" "tincd/netbsd"
874 "tincd/linux" "tincd/freebsd" "tincd/openbsd" 875 "tincd/freebsd" "tincd/openbsd" "native/darwin"
875 "tincd/darwin" "native/cygwin"; Untested 876 "tincd/darwin" "native/cygwin"; Untested
876 combinations are: "tincd/netbsd" "tincd/solaris" 877 combinations are: "tincd/bsd" "tincd/solaris"
877 "tincd/mingw"; Broken combinations are: 878 "tincd/mingw" "tincd/raw_socket" "tincd/uml_socket";
879 Broken combinations are: "tincd/cygwin"; The default
878 "tincd/cygwin"; The default is to autodetect. 880 is to autodetect.
879 --enable-static-daemon enable statically linked daemon. 881 --enable-static-daemon enable statically linked daemon.
880 --enable-rohc enable robust header compression (rfc3095). 882 --enable-rohc enable robust header compression (rfc3095).
881 --enable-icmp enable icmp protocol support (default disabled). 883 --enable-icmp enable icmp protocol support (default disabled).
882 --enable-tcp enable tcp protocol support (default disabled). 884 --enable-tcp enable tcp protocol support (default disabled).
883 --enable-dns enable dns tunnel protocol support (DOES NOT WORK). 885 --enable-dns enable dns tunnel protocol support (DOES NOT WORK).
890 use BYTES bytes of extra randomness (default 8). 892 use BYTES bytes of extra randomness (default 8).
891 Allowed values are 0, 4, 8. 893 Allowed values are 0, 4, 8.
892 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500). 894 --enable-max-mtu=BYTES enable mtu sizes upto BYTES bytes (default 1500).
893 Use 9100 for jumbogram support. 895 Use 9100 for jumbogram support.
894 --disable-compression Disable compression support. 896 --disable-compression Disable compression support.
895 --enable-cipher Select the symmetric cipher (default "bf"). Must be 897 --enable-cipher Select the symmetric cipher (default "aes-128").
896 one of "bf" (blowfish), "aes-128" (rijndael), 898 Must be one of "bf" (blowfish), "aes-128"
897 "aes-192" or "aes-256". 899 (rijndael), "aes-192" or "aes-256".
898 --enable-digest Select the digets algorithm to use (default "sha1"). 900 --enable-digest Select the digets algorithm to use (default
899 Must be one of "sha1", "ripemd160", "md5" or "md4" 901 "ripemd160"). Must be one of "sha1", "ripemd160",
900 (insecure). 902 "md5" or "md4" (insecure).
901 903
902Optional Packages: 904Optional Packages:
903 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes] 905 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
904 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no) 906 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
905 --with-gnu-ld assume the C compiler uses GNU ld default=no 907 --with-gnu-ld assume the C compiler uses GNU ld default=no
1718fi 1720fi
1719 1721
1720 1722
1721# Define the identity of the package. 1723# Define the identity of the package.
1722 PACKAGE=gvpe 1724 PACKAGE=gvpe
1723 VERSION=1.7 1725 VERSION=1.9
1724 1726
1725 1727
1726cat >>confdefs.h <<_ACEOF 1728cat >>confdefs.h <<_ACEOF
1727#define PACKAGE "$PACKAGE" 1729#define PACKAGE "$PACKAGE"
1728_ACEOF 1730_ACEOF
6414#define HAVE_FREEBSD 1 6416#define HAVE_FREEBSD 1
6415_ACEOF 6417_ACEOF
6416 6418
6417 ;; 6419 ;;
6418 *darwin*) 6420 *darwin*)
6419 IFTYPE=tincd 6421 IFTYPE=native
6420 IFSUBTYPE=darwin 6422 IFSUBTYPE=darwin
6421 6423
6422cat >>confdefs.h <<\_ACEOF 6424cat >>confdefs.h <<\_ACEOF
6423#define HAVE_DARWIN 1 6425#define HAVE_DARWIN 1
6424_ACEOF 6426_ACEOF
7013 7015
7014done 7016done
7015 7017
7016 7018
7017 7019
7020
7018for ac_header in ext/hash_map 7021for ac_header in ext/hash_map clocale
7019do 7022do
7020as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7023as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7021if eval "test \"\${$as_ac_Header+set}\" = set"; then 7024if eval "test \"\${$as_ac_Header+set}\" = set"; then
7022 echo "$as_me:$LINENO: checking for $ac_header" >&5 7025 echo "$as_me:$LINENO: checking for $ac_header" >&5
7023echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6 7026echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
9718 ROHC_TRUE='#' 9721 ROHC_TRUE='#'
9719 ROHC_FALSE= 9722 ROHC_FALSE=
9720fi 9723fi
9721 9724
9722 9725
9726
9723# Check whether --enable-icmp or --disable-icmp was given. 9727# Check whether --enable-icmp or --disable-icmp was given.
9724if test "${enable_icmp+set}" = set; then 9728if test "${enable_icmp+set}" = set; then
9725 enableval="$enable_icmp" 9729 enableval="$enable_icmp"
9726 9730
9727cat >>confdefs.h <<_ACEOF 9731cat >>confdefs.h <<_ACEOF
9744 9748
9745# Check whether --enable-dns or --disable-dns was given. 9749# Check whether --enable-dns or --disable-dns was given.
9746if test "${enable_dns+set}" = set; then 9750if test "${enable_dns+set}" = set; then
9747 enableval="$enable_dns" 9751 enableval="$enable_dns"
9748 9752
9753 if test "${ac_cv_header_gmp_h+set}" = set; then
9754 echo "$as_me:$LINENO: checking for gmp.h" >&5
9755echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9756if test "${ac_cv_header_gmp_h+set}" = set; then
9757 echo $ECHO_N "(cached) $ECHO_C" >&6
9758fi
9759echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9760echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9761else
9762 # Is the header compilable?
9763echo "$as_me:$LINENO: checking gmp.h usability" >&5
9764echo $ECHO_N "checking gmp.h usability... $ECHO_C" >&6
9765cat >conftest.$ac_ext <<_ACEOF
9766/* confdefs.h. */
9767_ACEOF
9768cat confdefs.h >>conftest.$ac_ext
9769cat >>conftest.$ac_ext <<_ACEOF
9770/* end confdefs.h. */
9771$ac_includes_default
9772#include <gmp.h>
9773_ACEOF
9774rm -f conftest.$ac_objext
9775if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
9776 (eval $ac_compile) 2>conftest.er1
9777 ac_status=$?
9778 grep -v '^ *+' conftest.er1 >conftest.err
9779 rm -f conftest.er1
9780 cat conftest.err >&5
9781 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9782 (exit $ac_status); } &&
9783 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9784 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9785 (eval $ac_try) 2>&5
9786 ac_status=$?
9787 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9788 (exit $ac_status); }; } &&
9789 { ac_try='test -s conftest.$ac_objext'
9790 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9791 (eval $ac_try) 2>&5
9792 ac_status=$?
9793 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9794 (exit $ac_status); }; }; then
9795 ac_header_compiler=yes
9796else
9797 echo "$as_me: failed program was:" >&5
9798sed 's/^/| /' conftest.$ac_ext >&5
9799
9800ac_header_compiler=no
9801fi
9802rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
9803echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
9804echo "${ECHO_T}$ac_header_compiler" >&6
9805
9806# Is the header present?
9807echo "$as_me:$LINENO: checking gmp.h presence" >&5
9808echo $ECHO_N "checking gmp.h presence... $ECHO_C" >&6
9809cat >conftest.$ac_ext <<_ACEOF
9810/* confdefs.h. */
9811_ACEOF
9812cat confdefs.h >>conftest.$ac_ext
9813cat >>conftest.$ac_ext <<_ACEOF
9814/* end confdefs.h. */
9815#include <gmp.h>
9816_ACEOF
9817if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
9818 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
9819 ac_status=$?
9820 grep -v '^ *+' conftest.er1 >conftest.err
9821 rm -f conftest.er1
9822 cat conftest.err >&5
9823 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9824 (exit $ac_status); } >/dev/null; then
9825 if test -s conftest.err; then
9826 ac_cpp_err=$ac_cxx_preproc_warn_flag
9827 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
9828 else
9829 ac_cpp_err=
9830 fi
9831else
9832 ac_cpp_err=yes
9833fi
9834if test -z "$ac_cpp_err"; then
9835 ac_header_preproc=yes
9836else
9837 echo "$as_me: failed program was:" >&5
9838sed 's/^/| /' conftest.$ac_ext >&5
9839
9840 ac_header_preproc=no
9841fi
9842rm -f conftest.err conftest.$ac_ext
9843echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
9844echo "${ECHO_T}$ac_header_preproc" >&6
9845
9846# So? What about this header?
9847case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
9848 yes:no: )
9849 { echo "$as_me:$LINENO: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&5
9850echo "$as_me: WARNING: gmp.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
9851 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the compiler's result" >&5
9852echo "$as_me: WARNING: gmp.h: proceeding with the compiler's result" >&2;}
9853 ac_header_preproc=yes
9854 ;;
9855 no:yes:* )
9856 { echo "$as_me:$LINENO: WARNING: gmp.h: present but cannot be compiled" >&5
9857echo "$as_me: WARNING: gmp.h: present but cannot be compiled" >&2;}
9858 { echo "$as_me:$LINENO: WARNING: gmp.h: check for missing prerequisite headers?" >&5
9859echo "$as_me: WARNING: gmp.h: check for missing prerequisite headers?" >&2;}
9860 { echo "$as_me:$LINENO: WARNING: gmp.h: see the Autoconf documentation" >&5
9861echo "$as_me: WARNING: gmp.h: see the Autoconf documentation" >&2;}
9862 { echo "$as_me:$LINENO: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&5
9863echo "$as_me: WARNING: gmp.h: section \"Present But Cannot Be Compiled\"" >&2;}
9864 { echo "$as_me:$LINENO: WARNING: gmp.h: proceeding with the preprocessor's result" >&5
9865echo "$as_me: WARNING: gmp.h: proceeding with the preprocessor's result" >&2;}
9866 { echo "$as_me:$LINENO: WARNING: gmp.h: in the future, the compiler will take precedence" >&5
9867echo "$as_me: WARNING: gmp.h: in the future, the compiler will take precedence" >&2;}
9868 (
9869 cat <<\_ASBOX
9870## ------------------------------------------ ##
9871## Report this to the AC_PACKAGE_NAME lists. ##
9872## ------------------------------------------ ##
9873_ASBOX
9874 ) |
9875 sed "s/^/$as_me: WARNING: /" >&2
9876 ;;
9877esac
9878echo "$as_me:$LINENO: checking for gmp.h" >&5
9879echo $ECHO_N "checking for gmp.h... $ECHO_C" >&6
9880if test "${ac_cv_header_gmp_h+set}" = set; then
9881 echo $ECHO_N "(cached) $ECHO_C" >&6
9882else
9883 ac_cv_header_gmp_h=$ac_header_preproc
9884fi
9885echo "$as_me:$LINENO: result: $ac_cv_header_gmp_h" >&5
9886echo "${ECHO_T}$ac_cv_header_gmp_h" >&6
9887
9888fi
9889if test $ac_cv_header_gmp_h = yes; then
9890 :
9891else
9892 { { echo "$as_me:$LINENO: error: gmp.h not found, required for --enable-dns" >&5
9893echo "$as_me: error: gmp.h not found, required for --enable-dns" >&2;}
9894 { (exit 1); exit 1; }; }
9895fi
9896
9897
9898
9899echo "$as_me:$LINENO: checking for main in -lgmp" >&5
9900echo $ECHO_N "checking for main in -lgmp... $ECHO_C" >&6
9901if test "${ac_cv_lib_gmp_main+set}" = set; then
9902 echo $ECHO_N "(cached) $ECHO_C" >&6
9903else
9904 ac_check_lib_save_LIBS=$LIBS
9905LIBS="-lgmp $LIBS"
9906cat >conftest.$ac_ext <<_ACEOF
9907/* confdefs.h. */
9908_ACEOF
9909cat confdefs.h >>conftest.$ac_ext
9910cat >>conftest.$ac_ext <<_ACEOF
9911/* end confdefs.h. */
9912
9913
9914int
9915main ()
9916{
9917main ();
9918 ;
9919 return 0;
9920}
9921_ACEOF
9922rm -f conftest.$ac_objext conftest$ac_exeext
9923if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
9924 (eval $ac_link) 2>conftest.er1
9925 ac_status=$?
9926 grep -v '^ *+' conftest.er1 >conftest.err
9927 rm -f conftest.er1
9928 cat conftest.err >&5
9929 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9930 (exit $ac_status); } &&
9931 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
9932 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9933 (eval $ac_try) 2>&5
9934 ac_status=$?
9935 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9936 (exit $ac_status); }; } &&
9937 { ac_try='test -s conftest$ac_exeext'
9938 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
9939 (eval $ac_try) 2>&5
9940 ac_status=$?
9941 echo "$as_me:$LINENO: \$? = $ac_status" >&5
9942 (exit $ac_status); }; }; then
9943 ac_cv_lib_gmp_main=yes
9944else
9945 echo "$as_me: failed program was:" >&5
9946sed 's/^/| /' conftest.$ac_ext >&5
9947
9948ac_cv_lib_gmp_main=no
9949fi
9950rm -f conftest.err conftest.$ac_objext \
9951 conftest$ac_exeext conftest.$ac_ext
9952LIBS=$ac_check_lib_save_LIBS
9953fi
9954echo "$as_me:$LINENO: result: $ac_cv_lib_gmp_main" >&5
9955echo "${ECHO_T}$ac_cv_lib_gmp_main" >&6
9956if test $ac_cv_lib_gmp_main = yes; then
9957 cat >>confdefs.h <<_ACEOF
9958#define HAVE_LIBGMP 1
9959_ACEOF
9960
9961 LIBS="-lgmp $LIBS"
9962
9963else
9964 { { echo "$as_me:$LINENO: error: libgmp not found, required for --enable-dns" >&5
9965echo "$as_me: error: libgmp not found, required for --enable-dns" >&2;}
9966 { (exit 1); exit 1; }; }
9967fi
9968
9969
9970
9749cat >>confdefs.h <<_ACEOF 9971cat >>confdefs.h <<_ACEOF
9750#define ENABLE_DNS 1 9972#define ENABLE_DNS 1
9751_ACEOF 9973_ACEOF
9974
9752 9975
9753 9976
9754fi; 9977fi;
9755 9978
9756# Check whether --enable-http-proxy or --disable-http-proxy was given. 9979# Check whether --enable-http-proxy or --disable-http-proxy was given.
9816cat >>confdefs.h <<_ACEOF 10039cat >>confdefs.h <<_ACEOF
9817#define ENABLE_COMPRESSION $COMPRESS 10040#define ENABLE_COMPRESSION $COMPRESS
9818_ACEOF 10041_ACEOF
9819 10042
9820 10043
9821CIPHER=bf_cbc 10044CIPHER=aes_128_cbc
9822# Check whether --enable-cipher or --disable-cipher was given. 10045# Check whether --enable-cipher or --disable-cipher was given.
9823if test "${enable_cipher+set}" = set; then 10046if test "${enable_cipher+set}" = set; then
9824 enableval="$enable_cipher" 10047 enableval="$enable_cipher"
9825 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi 10048 if test "x$enableval" = xbf ; then CIPHER=bf_cbc ; fi
9826 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi 10049 if test "x$enableval" = xaes-128; then CIPHER=aes_128_cbc; fi
9832cat >>confdefs.h <<_ACEOF 10055cat >>confdefs.h <<_ACEOF
9833#define ENABLE_CIPHER EVP_${CIPHER} 10056#define ENABLE_CIPHER EVP_${CIPHER}
9834_ACEOF 10057_ACEOF
9835 10058
9836 10059
9837DIGEST=sha1 10060DIGEST=ripemd160
9838# Check whether --enable-digest or --disable-digest was given. 10061# Check whether --enable-digest or --disable-digest was given.
9839if test "${enable_digest+set}" = set; then 10062if test "${enable_digest+set}" = set; then
9840 enableval="$enable_digest" 10063 enableval="$enable_digest"
9841 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi 10064 if test "x$enableval" = xsha1 ; then DIGEST=sha1 ; fi
9842 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi 10065 if test "x$enableval" = xripemd160; then DIGEST=ripemd160; fi
9855fi 10078fi
9856 10079
9857if $CXX -v --help 2>&1 | grep -q fexceptions; then 10080if $CXX -v --help 2>&1 | grep -q fexceptions; then
9858 CXXFLAGS="$CXXFLAGS -fno-exceptions" 10081 CXXFLAGS="$CXXFLAGS -fno-exceptions"
9859fi 10082fi
9860
9861
9862 10083
9863 10084
9864 10085
9865 10086
9866 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile" 10087 ac_config_files="$ac_config_files Makefile po/Makefile.in src/Makefile doc/Makefile lib/Makefile m4/Makefile"
11423_ACEOF 11644_ACEOF
11424chmod +x $CONFIG_STATUS 11645chmod +x $CONFIG_STATUS
11425ac_clean_files=$ac_clean_files_save 11646ac_clean_files=$ac_clean_files_save
11426 11647
11427 11648
11428
11429echo
11430echo "***"
11431echo "*** Configuration Summary"
11432echo "***"
11433echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11434echo "*** Cipher used: $CIPHER"
11435echo "*** Digest used: $DIGEST"
11436echo "*** HMAC length: $HMAC"
11437echo "*** RAND used: $RAND"
11438echo "*** Max. MTU: $MTU"
11439echo "*** Compression: $COMPRESS"
11440
11441if test "x$DIGEST" = xmd4; then
11442echo "***"
11443echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11444fi
11445
11446if test "$HMAC" -lt 12; then
11447echo "***"
11448echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11449fi
11450
11451if test "$RAND" -lt 8; then
11452echo "***"
11453echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11454fi
11455
11456echo "***"
11457
11458echo
11459
11460
11461
11462# configure is writing to config.log, and then calls config.status. 11649# configure is writing to config.log, and then calls config.status.
11463# config.status does its own redirection, appending to config.log. 11650# config.status does its own redirection, appending to config.log.
11464# Unfortunately, on DOS this fails, as config.log is still kept open 11651# Unfortunately, on DOS this fails, as config.log is still kept open
11465# by configure, so config.status won't be able to write to it; its 11652# by configure, so config.status won't be able to write to it; its
11466# output is simply discarded. So we exec the FD to /dev/null, 11653# output is simply discarded. So we exec the FD to /dev/null,
11478 # Use ||, not &&, to avoid exiting from the if with $? = 1, which 11665 # Use ||, not &&, to avoid exiting from the if with $? = 1, which
11479 # would make configure fail if this is the last instruction. 11666 # would make configure fail if this is the last instruction.
11480 $ac_cs_success || { (exit 1); exit 1; } 11667 $ac_cs_success || { (exit 1); exit 1; }
11481fi 11668fi
11482 11669
11670
11671echo
11672echo "***"
11673echo "*** Configuration Summary"
11674echo "***"
11675echo "*** Kernel Iface: $IFTYPE/$IFSUBTYPE"
11676echo "*** Cipher used: $CIPHER"
11677echo "*** Digest used: $DIGEST"
11678echo "*** HMAC length: $HMAC"
11679echo "*** RAND used: $RAND"
11680echo "*** Max. MTU: $MTU"
11681
11682echo "***"
11683echo "*** Enable options:"
11684grep ENABLE_ config.h | sed -e 's/^/*** /'
11685
11686if test "x$DIGEST" = xmd4; then
11687echo "***"
11688echo "*** WARNING: The digest you have chosen ($DIGEST) is known to be insecure"
11689fi
11690
11691if test "$HMAC" -lt 12; then
11692echo "***"
11693echo "*** WARNING: The hmac length you have chosen ($HMAC) is probably insecure"
11694fi
11695
11696if test "$RAND" -lt 8; then
11697echo "***"
11698echo "*** WARNING: The random prefix you have chosen ($RAND) is probably insecure"
11699fi
11700
11701echo "***"
11702echo
11703
11704

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines